Bug 1309691 - Review Request: hid-replay - debug tools for HID devices
Review Request: hid-replay - debug tools for HID devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 08:54 EST by Benjamin Tissoires
Modified: 2016-03-14 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 20:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.hutterer: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Benjamin Tissoires 2016-02-18 08:54:50 EST
Spec URL: https://people.freedesktop.org/~tissoire/hid-replay.spec
SRPM URL: https://people.freedesktop.org/~tissoire/hid-replay-0.7.1-1.fc23.src.rpm

Description: hid-replay is a tool that allow users to capture hidraw description and events in order to replay them through the uhid kernel module.

Fedora Account System Username: bentiss

Hi!

I am using hid-replay/hid-recording for a while when debugging HID devices. I think it is time Fedora ships the tool directly so I do not have to point users to a copr each time I request logs from them.
Comment 1 Peter Hutterer 2016-02-19 01:18:29 EST
BuildRoot: is obsolete now
defattr can be skipped, it just sets defaults anyway (there was a recent thread on fedora-devel)
you need to add %license COPYING
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
[these three also apply to the libratbag review]

tbh, I find %{bindir}/%{name} more confusing than just spelling it out, especially given that you have a second binary anyway. same with the man page

also, do me a favour for this one and the libratbag bug: run fedora-review -b <bugnumber> and fix up whatever else it complains about :)
Comment 2 Benjamin Tissoires 2016-02-19 10:59:22 EST
Spec URL: https://people.freedesktop.org/~tissoire/hid-replay-rpm-v2/hid-replay.spec
SRPM URL: https://people.freedesktop.org/~tissoire/hid-replay-rpm-v2/hid-replay-0.7.1-1.fc23.src.rpm

(In reply to Peter Hutterer from comment #1)
> BuildRoot: is obsolete now

removed

> defattr can be skipped, it just sets defaults anyway (there was a recent
> thread on fedora-devel)

removed

> you need to add %license COPYING

done (and added the files to the final RPM)

> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text
> [these three also apply to the libratbag review]
> 
> tbh, I find %{bindir}/%{name} more confusing than just spelling it out,
> especially given that you have a second binary anyway. same with the man page

OK, changed.

> 
> also, do me a favour for this one and the libratbag bug: run fedora-review
> -b <bugnumber> and fix up whatever else it complains about :)

Running the f23 fedora-review takes too long due to some annoying bugs fixed in the devel version. Running the devel branch (https://fedorahosted.org/FedoraReview/wiki/UseDevelopmentVersion) makes things take like 10 min, which is acceptable.

I have the following which I think are OK:

in SHOULD:
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hid-
     replay-debuginfo
-> there is nothing in the specfile concerning the debuginfo, so these are default ones.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
-> the patch I currently have in the specfile allows to compile on RHEL 6 without uhid. It's not upstream and won't be I think.
[ ]: %check is present and all tests pass.
-> no check upstream. I know, I might have to write some...
[ ]: Packages should try to preserve timestamps of original installed
     files.
-> ???? (not sure it applies to me)

Rpmlint:
Checking: hid-replay-0.7.1-1.fc24.x86_64.rpm
          hid-replay-debuginfo-0.7.1-1.fc24.x86_64.rpm
          hid-replay-0.7.1-1.fc24.src.rpm
hid-replay.x86_64: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
hid-replay.x86_64: W: spelling-error %description -l en_US uhid -> hid, u hid, uh id
hid-replay.src: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
hid-replay.src: W: spelling-error %description -l en_US uhid -> hid, u hid, uh id
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Well, uhid and hidraw are kernel modules, so it should not complain about those!

Provides:
Should I also provide hid-recorder?


I also compressed the changelog into only one "Initial package".
Comment 3 Peter Hutterer 2016-02-21 19:10:14 EST
COPYING is still marked as %doc, should be %license... oh wait, nevermind. just found it in the %description. Just replace the %doc COPYING with %license COPYING and that's it.

I noticed that COPYING is GPLv2 but the source files are v2 or later? (and the ccan bits are public domain or MIT)

All the rest looks good now, if you can fix those two up the package is ready
Comment 4 Benjamin Tissoires 2016-02-22 05:58:22 EST
Spec URL: https://people.freedesktop.org/~tissoire/hid-replay-rpm-v3/hid-replay.spec
SRPM URL: https://people.freedesktop.org/~tissoire/hid-replay-rpm-v3/hid-replay-0.7.1-1.fc23.src.rpm

(In reply to Peter Hutterer from comment #3)
> COPYING is still marked as %doc, should be %license... oh wait, nevermind.
> just found it in the %description. Just replace the %doc COPYING with
> %license COPYING and that's it.

OK, removed the extra %license and updated the correct field in %files (sorry for my misunderstanding).

> 
> I noticed that COPYING is GPLv2 but the source files are v2 or later? (and

This should be fine. The GPLv2 text mentions the case when the sources declare the "or later" mention.

> the ccan bits are public domain or MIT)

Good catch. Updated the .spec to reflect that.

> 
> All the rest looks good now, if you can fix those two up the package is ready

Thanks!
Comment 5 Upstream Release Monitoring 2016-02-22 06:07:31 EST
bentiss's scratch build of hid-replay-0.7.1-1.fc23.src.rpm for f23-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13091458
Comment 6 Peter Hutterer 2016-02-22 17:42:43 EST
Note for the archives, the spec from comment 4 was silently amended on request to list GPLv2+ as license only since the license field applies to the binary, the source licenses don't matter here. Review below is for the updated spec file.

also forgot to answer to this:
(In reply to Benjamin Tissoires from comment #2)
> Provides:
> Should I also provide hid-recorder?

No, Provides is only necessary when you are providing contents from another package and you have a potential conflict.
Comment 7 Peter Hutterer 2016-02-22 17:44:53 EST
Package is APPROVED 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "*No
     copyright* MIT/X11 (BSD like)", "Unknown or generated". 62 files have
     unknown license. Detailed output of licensecheck in
     /home/whot/tmp/2016-02-23-Tue/1309691-hid-replay/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hid-
     replay-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: hid-replay-0.7.1-1.fc21.x86_64.rpm
          hid-replay-debuginfo-0.7.1-1.fc21.x86_64.rpm
          hid-replay-0.7.1-1.fc21.src.rpm
hid-replay.x86_64: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
hid-replay.x86_64: W: spelling-error %description -l en_US uhid -> hid, u hid, uh id
hid-replay.src: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
hid-replay.src: W: spelling-error %description -l en_US uhid -> hid, u hid, uh id
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Rpmlint (debuginfo)
-------------------
Checking: hid-replay-debuginfo-0.7.1-1.fc21.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
hid-replay.x86_64: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
hid-replay.x86_64: W: spelling-error %description -l en_US uhid -> hid, u hid, uh id
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 8 Gwyn Ciesla 2016-02-23 10:46:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/hid-replay
Comment 9 Fedora Update System 2016-02-23 12:59:37 EST
hid-replay-0.7.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-88e497bfbf
Comment 10 Fedora Update System 2016-02-23 13:00:21 EST
hid-replay-0.7.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62bb8b4ac2
Comment 11 Fedora Update System 2016-02-23 13:00:57 EST
hid-replay-0.7.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed0a795fef
Comment 12 Fedora Update System 2016-02-23 13:01:23 EST
hid-replay-0.7.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d11a72254
Comment 13 Fedora Update System 2016-02-25 05:53:09 EST
hid-replay-0.7.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed0a795fef
Comment 14 Fedora Update System 2016-02-25 08:18:11 EST
hid-replay-0.7.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-88e497bfbf
Comment 15 Fedora Update System 2016-02-25 08:21:12 EST
hid-replay-0.7.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62bb8b4ac2
Comment 16 Fedora Update System 2016-02-25 21:25:46 EST
hid-replay-0.7.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d11a72254
Comment 17 Fedora Update System 2016-03-04 20:20:15 EST
hid-replay-0.7.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-09 10:55:15 EST
hid-replay-0.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-03-09 15:13:51 EST
hid-replay-0.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-03-12 14:58:58 EST
hid-replay-0.7.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-03-14 15:26:03 EDT
hid-replay-0.7.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.